#
# spec file for package bison (Version 2.4.1)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           bison
BuildRequires:  gcc-c++
License:        GPLv2+
Group:          Development/Languages/C and C++
PreReq:         %install_info_prereq
AutoReqProv:    on
# bug437293
%ifarch ppc64
Obsoletes:      bison-64bit
%endif
#
Requires:       m4
Version:        2.4.1
Release:        1
Summary:        The GNU Parser Generator
Url:            http://www.gnu.org/software/bison/bison.html
Source:         bison-%{version}.tar.bz2
Source2:        baselibs.conf
Patch1:         bison-2.3-subpipe.diff
Patch2:         bison-2.4.1-28169bab1f6f2fc
Patch3:         bison-2.4.1-7439c5c0f949408
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Bison is a parser generator similar to yacc(1).

%prep
%setup -q
%patch1
%patch2 -p1
%patch3 -p1

%build
# CXXFLAGS is for c++ examples / test cases
# these are not installed, but building them with $RPM_OPT_FLAGS could
# catch possible problems in bison-generated C++ sources
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=%{_prefix} \
	--mandir=%{_mandir} \
        --infodir=%{_infodir} \
	--libdir=%{_libdir}
make %{_smp_mflags}
make %{_smp_mflags} check

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
%find_lang %{name}
# FIXME: this should probably go to separate subpackage (see PACKAGING)
%find_lang %{name}-runtime
cat %{name}-runtime.lang >>%{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README
%{_bindir}/bison
%{_bindir}/yacc
%{_libdir}/liby.a
/usr/share/bison
/usr/share/aclocal/bison-i18n.m4
%doc %{_infodir}/bison.info*.gz
%doc %{_mandir}/man1/bison.1.gz
%doc %{_mandir}/man1/yacc.1.gz

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%changelog
